Bug 578168 - (CVE-2010-1151) CVE-2010-1151 mod_auth_shadow: bad wait(2) call causes randomized authorization behaviour
CVE-2010-1151 mod_auth_shadow: bad wait(2) call causes randomized authorizati...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,source=researcher,reported...
: Security
Depends On: 580901
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-30 09:22 EDT by John Sullivan
Modified: 2015-08-22 02:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 02:57:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Jan Lieskovsky 2010-04-08 07:47:32 EDT
This is CVE-2010-1151.
Comment 2 Jan Lieskovsky 2010-04-08 09:10:48 EDT
A race condition was found in the way mod_auth_shadow
used an external helper binary to validate user credentials
(username / password pairs). A remote attacker could use this flaw
to bypass intended access restrictions, resulting in ability
to view and potentially alter resources, which should be otherwise
protected by authentication.

Acknowledgements:

Red Hat would like to thank John Sullivan for responsibly
reporting this flaw.
Comment 5 Fedora Update System 2010-04-09 09:24:50 EDT
mod_auth_shadow-2.2-8.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mod_auth_shadow-2.2-8.fc13
Comment 6 Fedora Update System 2010-04-09 09:25:18 EDT
mod_auth_shadow-2.2-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mod_auth_shadow-2.2-8.fc12
Comment 7 Fedora Update System 2010-04-09 09:26:28 EDT
mod_auth_shadow-2.2-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mod_auth_shadow-2.2-8.fc11
Comment 8 Fedora Update System 2010-04-09 10:09:59 EDT
mod_auth_shadow-2.2-4.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/mod_auth_shadow-2.2-4.el4
Comment 9 Fedora Update System 2010-04-09 10:11:28 EDT
mod_auth_shadow-2.2-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mod_auth_shadow-2.2-5.el5
Comment 10 Fedora Update System 2010-05-13 15:25:45 EDT
mod_auth_shadow-2.2-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-05-13 15:28:05 EDT
mod_auth_shadow-2.2-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-05-13 21:07:30 EDT
mod_auth_shadow-2.2-4.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-05-13 21:07:58 EDT
mod_auth_shadow-2.2-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-05-28 13:55:31 EDT
mod_auth_shadow-2.2-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.